Bug 1467706 - mariadb library upgrade to 10.2 causes bacula FTBFS
mariadb library upgrade to 10.2 causes bacula FTBFS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1467297
  Show dependency treegraph
 
Reported: 2017-07-04 13:26 EDT by Augusto Caringi
Modified: 2017-07-21 03:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-21 03:28:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow compilation of bacula with MariaDB 10.2 (743 bytes, patch)
2017-07-04 13:26 EDT, Augusto Caringi
no flags Details | Diff

  None (edit)
Description Augusto Caringi 2017-07-04 13:26:54 EDT
Created attachment 1294296 [details]
Patch to allow compilation of bacula with MariaDB 10.2

Trying to build bacula with the new version of MariaDB 10.2 causes a build error:

mysql.c: In member function 'virtual bool BDB_MYSQL::bdb_open_database(JCR*)':
mysql.c:256:20: error: 'MYSQL {aka struct st_mysql}' has no member named 'reconnect'
    mdb->m_instance.reconnect = 1;             /* so connection does not timeout */
                    ^~~~~~~~~

In this new version of the library the reconnect field was moved to another struct. I think that the best approach is to set it through API. I attached a patch proposal to fix the problem.

We are tracking all the possible problems regarding this MariaDB upgrade in the bug 1467297.

Copr build: https://copr.fedorainfracloud.org/coprs/g/db-sig/mariadb-10.2/package/bacula/
Comment 1 Simone Caronni 2017-07-10 02:47:32 EDT
Testing with freshly released Bacula 9.
Comment 2 Augusto Caringi 2017-07-20 07:51:19 EDT
The problem persist with the new Bacula 9... 

mysql.c: In member function 'virtual bool BDB_MYSQL::bdb_open_database(JCR*)':
mysql.c:261:20: error: 'MYSQL {aka struct st_mysql}' has no member named 'reconnect'
    mdb->m_instance.reconnect = 1;             /* so connection does not timeout */
                    ^~~~~~~~~
make[1]: *** [Makefile:183: mysql.lo] Error 1

My proposed patch can fix this problem.
Comment 3 Simone Caronni 2017-07-21 03:28:09 EDT
Applied a rebased, patch, thanks. Also upstream has done it.

Note You need to log in before you can comment on or make changes to this bug.